<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource">

    <!-- Date Column -->
    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef>Date</th>
      <td mat-cell *matCellDef="let element">{{ element.date | date }}</td>
    </ng-container>

    <!-- Total Price Column -->
    <ng-container matColumnDef="totalPrice">
      <th mat-header-cell *matHeaderCellDef>Prix Total</th>
      <td mat-cell *matCellDef="let element">{{ element.totalAmount | currency:'EUR' }}</td>
    </ng-container>

    <!--first course Name Column -->
    <ng-container matColumnDef="firstName">
      <th mat-header-cell *matHeaderCellDef></th>

      <td mat-cell *matCellDef="let element">
        <div class="cart">
          <mat-icon class="cart-icon">shopping_cart</mat-icon>
          <a href=""> {{ element.order.orderLines[0].article.name }}</a>
        </div>
      </td>
    </ng-container>


    <!-- Symbol Column -->
    <ng-container matColumnDef="payment-method">
      <th mat-header-cell *matHeaderCellDef> Type de paiement </th>
      <td mat-cell *matCellDef="let element">
        <div class="button">

          <p class="payment-method">15,99 € Visa ****1559</p>
          <div class="button-group">
            <button style="margin-right: 1em;" type="button" class="btn btn-outline-dark">Reçu</button>
            <button (click)="routeToReceipt(element)"  type="button" class="btn btn-outline-dark">Facture</button>

          </div>
        </div>

      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons aria-label="Select page of periodic elements">
  </mat-paginator>
</div>

